public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Dennis Lamm" <expeditioneer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/satyr/
Date: Sun, 17 Feb 2019 20:01:32 +0000 (UTC)	[thread overview]
Message-ID: <1550433646.0a2a64f88c72fc5da7a9ea9865dc05a74679fda6.expeditioneer@gentoo> (raw)

commit:     0a2a64f88c72fc5da7a9ea9865dc05a74679fda6
Author:     Dennis Lamm <expeditioneer <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 17 20:00:46 2019 +0000
Commit:     Dennis Lamm <expeditioneer <AT> gentoo <DOT> org>
CommitDate: Sun Feb 17 20:00:46 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0a2a64f8

dev-libs/satyr: bump to 0.27

Signed-off-by: Dennis Lamm <expeditioneer <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 dev-libs/satyr/Manifest          |  1 +
 dev-libs/satyr/satyr-0.27.ebuild | 45 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-libs/satyr/Manifest b/dev-libs/satyr/Manifest
index cb6c8364e06..84736d4b19e 100644
--- a/dev-libs/satyr/Manifest
+++ b/dev-libs/satyr/Manifest
@@ -1 +1,2 @@
 DIST satyr-0.26.tar.gz 434820 BLAKE2B 4463c69e6ac2eb8237f599bfeed308265a906c6e3efa154b14eb6ee7acdc65580da9baf5ecb99e4efa4f8c00f7656ff2a747e607f2293b12a513ed680986fe08 SHA512 45dfc42e05e93fa0417c8c5d6811097cabaa0f4dcfb79df13d3840d789cfd41c84382ae84882ca120b1a3120987123a306656324cf39f306046a5d30547db656
+DIST satyr-0.27.tar.gz 435341 BLAKE2B ade40bc6a1c48e6fc0af7913ff94ed044c63fdb63b8d86ba010bebcfd2098831bc6c7361d116851aee88f49c640d1457dd8953becad60b6ff6dc32deec6c7942 SHA512 7b01cf16489644fbfbe2150477279a94c6fa9b3310edebc84b83bab58d1058df0be478ab6bf4c6910b4168122721dde10d573711abb983b0eb5ccda09cb80710

diff --git a/dev-libs/satyr/satyr-0.27.ebuild b/dev-libs/satyr/satyr-0.27.ebuild
new file mode 100644
index 00000000000..2ff1248e54f
--- /dev/null
+++ b/dev-libs/satyr/satyr-0.27.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python3_{4,5,6} )
+
+inherit autotools python-r1 toolchain-funcs
+
+DESCRIPTION="Satyr is a collection of low-level algorithms for program failure processing"
+HOMEPAGE="https://github.com/abrt/satyr"
+SRC_URI="https://github.com/abrt/${PN}/archive/${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0/3"
+
+IUSE="python"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="python? ( ${PYTHON_DEPS} )
+	>=dev-libs/elfutils-0.158
+"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	default
+	./gen-version || die # Needs to be run before full autoreconf
+	eautoreconf
+	use python && python_copy_sources
+}
+
+src_configure() {
+	local myargs=(
+		--localstatedir="${EPREFIX}/var"
+		--without-rpm
+		# Build breaks without and we aren't supporting Python2 anyway
+		--without-python2
+		$(usex python "--with-python3" "--without-python3")
+	)
+
+	econf "${myargs[@]}"
+}


             reply	other threads:[~2019-02-17 20:01 UTC|newest]

Thread overview: 18+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-02-17 20:01 Dennis Lamm [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-12-21 18:25 [gentoo-commits] repo/gentoo:master commit in: dev-libs/satyr/ Pacho Ramos
2021-09-07 15:08 Pacho Ramos
2021-09-07 15:08 Pacho Ramos
2021-08-08 12:50 Pacho Ramos
2021-05-01 14:07 Matt Turner
2020-11-08 16:26 Matt Turner
2020-11-08 16:26 Matt Turner
2020-08-24 22:24 Matt Turner
2020-05-12  8:54 Mikle Kolyada
2020-05-12  8:54 Mikle Kolyada
2020-03-19  0:28 Matt Turner
2020-01-28  9:39 Mart Raudsepp
2020-01-27  9:45 Mikle Kolyada
2020-01-26 22:39 Thomas Deutschmann
2018-12-12 16:30 Mikle Kolyada
2018-12-07  2:41 Thomas Deutschmann
2018-05-22 16:09 Aaron Bauman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1550433646.0a2a64f88c72fc5da7a9ea9865dc05a74679fda6.expeditioneer@gentoo \
    --to=expeditioneer@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox